GET /api/v3/template

Retrieves all templates

GetTemplatesV3 Paginated
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter string (string) Optional
pageSize The number of elements to return in a page integer (int32) Optional
pageNumber The current page number integer (int32) Optional

Filters

Filter Description Type Operators
commodityCode Commodity Code String equals not equals one of like not like not one of
commodityId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
commodityInfo Commodity Name String equals not equals one of like not like not one of
unitCode Unit abbreviation String equals not equals one of like not like not one of
unitID Integer equals not equals less than between one of greater than less than equal greater than equal not one of
unitInfo Unit Name String equals not equals one of like not like not one of

Response Headers

This endpoint returns pagination metadata in the response headers.

Header Type Description
PageNumber integer The current page number (1-based).
PageSize integer The maximum number of items per page.
TotalNumberOfRecords integer The total number of records matching the query across all pages.
TotalPages integer The total number of pages. Increment pageNumber until it equals this value to retrieve all results.

See the Pagination guide for iteration examples and best practices.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

TemplateResponse
Property Description Type
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
demandUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
note string
templateCode string
templateId integer (int32)
templateInfo string
useUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
versions VersionChild[]
VersionChild properties
Property Description Type
beginDate string (date-time)
endDate string (date-time)
versionId integer (int32)
Example Response application/json
[
  {    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "demandUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "note": "string",    "templateCode": "string",    "templateId": 1,    "templateInfo": "string",    "useUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "versions": [
      {      "beginDate": "2026-03-30",      "endDate": "2026-03-30",      "versionId": 1
    }
    ]
  }
]